/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author djj94
 */
package pkg2013440041;

import aeat.AEATType;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Insets;
import java.util.HashMap;
import java.util.Map;
import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 *
 * @author djj94
 */
public class ConfigPanel extends JPanel {
    
    private MyButtonActionListener buttonActionListener;
    private Map<String, JTextField> nameToTextField;
    
    public ConfigPanel(MyButtonActionListener buttonActionListener) {
        super();
        super.setMinimumSize(new Dimension(400, 125));
        super.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        super.setBorder(BorderFactory.createTitledBorder("Config"));

        this.buttonActionListener = buttonActionListener;
        nameToTextField = new HashMap<>();
        initComponents();
    }
    
    private void initComponents() {
        this.add(createRecord("Send Server"));
        this.add(createRecord("Send Group"));
        this.add(createRecord("Receive Server"));
        this.add(createRecord("Receive Group"));

    }
    
    private Box createRecord(String name) {
        Box box = Box.createHorizontalBox();
        JLabel label = new JLabel(name, JLabel.CENTER);
        label.setFont(Frame.LABEL_FONT);
        label.setPreferredSize(Frame.LABEL_DIMENSION);
        box.add(label);
        
        box.add(Box.createHorizontalGlue());
        
        String data="";
        
        switch (name) {
            case "Send Server":
                data = "tcp://djjproject.com:61616";
                break;
            case "Send Group":
                data = "djjproject";
                break;
            case "Receive Server":
                data = "tcp://djjproject.com:61616";
                break;
            case "Receive Group":
                data = "djjproject";
                break;    
            default:
                break;
        }
        
        JTextField textField = new JTextField(data);
        box.add(textField);
        
        nameToTextField.put(name, textField);
        return box;
    }
    

    public String getSendServer() {
        return nameToTextField.get("Send Server").getText();
    }
    
    public String getSendGroup() {
        return nameToTextField.get("Send Group").getText();
    }
    
    public String getReceiveServer() {
        return nameToTextField.get("Receive Server").getText();
    }
    
    public String getReceiveGroup() {
        return nameToTextField.get("Receive Group").getText();
    }

}
